POST
/hotelinfoSearch by Hotel Code
This API call utilizes the hotelcode obtained from the POST/hotels endpoint to retrieve a list of sources available for a specific hotel. If a source you wish to retrieve reviews for is not configured with the hotel, please send the request using POST /sourcemaprequest endpoint. We will make efforts to add the hotel to our database within 24 to 48 business hours.
- •hotelCode: Retrieve information for a single hotel code.
- •hotelCodes: Retrieve information for multiple hotel codes.
POST
/hotelinfoMandatory Fields
- hotelCode or hotelCodes
Parameter Details
| Name | In | Type | Required | Description |
|---|---|---|---|---|
body | body | Required | none |
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | Success | |
| 400 | Bad Request | Bad Request | None |
| 401 | Unauthorized | Authorization Failed | None |
| 429 | Too Many Requests | Too Many Requests | None |
| 500 | Internal Server Error | Internal Server Error | None |
Example Request
# You can also use wget
curl -X POST /hotelinfo \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: API_KEY'Body parameter
{
"hotelCode": 2005,
"hotelCodes": [
0
]
}Example responses
200 Response
{
"hotelCode": 0,
"hotelName": "string",
"address": "string",
"city": "string",
"state": "string",
"country": "string",
"starRating": "string",
"zip": "string",
"lat": 0,
"long": 0,
"sources": {
"websiteCode": 0,
"websiteName": "string",
"url": "string"
}
}Need Support?
Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.